AccessControlException (Hadoop 0.20.2-cdh3u5 API)
Date: 2012-10-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security
Class AccessControlException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.fs.permission.AccessControlException
                      org.apache.hadoop.security.AccessControlException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AuthorizationException

    public class AccessControlException

extends AccessControlException

An exception class for access control related issues.

See Also:
  Serialized Form

Constructor Summary
`AccessControlException()` Default constructor is needed for unwrapping from `RemoteException`.
`AccessControlException(String s)` Constructs an `AccessControlException` with the specified detail message.
`AccessControlException(Throwable cause)` Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AccessControlException

    public AccessControlException()

  Default constructor is needed for unwrapping from `RemoteException`.

### AccessControlException

    public AccessControlException(String s)

  Constructs an `AccessControlException` with the specified detail message.

  Parameters:
    `s` - the detail message.

### AccessControlException

    public AccessControlException(Throwable cause)

  Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation